using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a dinosaur corpse" )]
	public class Tyranasaur : BaseCreature
	{
		[Constructable]
		public Tyranasaur () : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a tyranasaur";
			Body = 246;
			BaseSoundID = 0x4FB;

			SetStr( 796, 825 );
			SetDex( 86, 105 );
			SetInt( 40, 60 );

			SetHits( 478, 495 );

			SetDamage( 16, 22 );

			SetSkill( SkillName.Tactics, 97.6, 100.0 );
			SetSkill( SkillName.HandToHand, 90.1, 92.5 );

			Fame = 10000;
			Karma = -10000;

			VirtualArmor = 60;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Meager );
		}

		public override int Meat{ get{ return 19; } }
		public override int Hides{ get{ return 20; } }

		public Tyranasaur( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}